## recover_volume

### Use

With this DBM command, you put a damaged volume of a volume pair back into operation.

If you are running the log volumes of a database instance in mirrored form, and a single log volume fails while the database is running, there are functions available that enable you to recover the failed volume.

Entries that were only written to the intact volume while the damaged volume was out of action are not copied.

Note that the mirrored log volume is only secure once the recovered volume is operating again. You should therefore backup the log entries that only occur once with the help of a log backup (see: backup_start).

### Prerequisites

● You have the server authorization Recovery.

● You are operating the database instance with mirrored log volumes (LOG_MODE: DUAL).

● You have opened a database session (see: db_connect).

### Syntax

recover_volume <vol_name>

Options

<vol_name> | Name of the volume

### Reply

OK

In the event of errors, see Reply Format.